LFR-FSW - Bug #410

R3 *** TM_LFR_SCIENCE_SBM1_BP*_F0: octet 18 not equal to 0x0
06/05/2015 04:01 PM - Veronique bouzid

Status: Closed Start date: 06/05/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Le script utilisé se trouve dans /home/validation/SCRIPT/R3/just_sbm1_mode.py

Le test est rangé dans le répertoire /home/validation/data/R3/JUST-SBMH1, le fichier est 2015_05_06-15_13_43-Detail.txt

- TM_LFR_SCIENCE_SBM1_BP1_F0

15:07:42.659361, * 32 *, TM_LFR_SCIENCE_SBM1_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =
0, DATA_FIELD_HEADER_FLAG: WITH_HEADER =1, PROCESS_ID: RPW_PID_5 = 79, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=263,
SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x80000008ec8f, PA_LFR_SID_PKT:
SC_S1_BP1_F0 =28, PA_BIA_MODE_MUX_SET: SET_0 =0, PA_BIA_MODE_HV_ENABLED: DISABLED =0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, *SPARE=0x1c*0, SY_LFR_BW=1,
SY_LFR_SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0,
PA_LFR_ACQUISITION_TIME=0x80000008ec8f, PA_LFR_S1_BP1_BLK_NR_F0=22

et
TM_LFR_SCIENCE_SBM1_BP2_F0

15:07:43.430174, * 32 , TM_LFR_SCIENCE_SBM1_BP2_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =
0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 5 = 79, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xcfc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=12, (PACKET SEQUENCE_CONTROL=0xc00c), PACKET LENGTH=681,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT FIXED LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x80000009ac8f, PA_LFR_SID_PKT:
SC_S1_BP2_FO0 = 31, PA_BIA_MODE_MUX_SET: SET 0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, *SPARE=0xc0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x80000009ac8f,

PA LFR_S1_BP2 BLK NR_F0=22

Contexte de test

FSW 3.0.0.0
VHDL 0..1.68
Mini-lfr 11

SocExplorer 0.6.0
StarDundee spacewire

History

#1 - 18/05/2015 10:44 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

corrected in version >= 3.0.0.1

#2 - 05/06/2015 05:00 PM - Veronique bouzid

- Status changed from Resolved to Closed
Le bug est corrigé.
Le script /home/validation/SCRIPT/R3/just_sbm1_mode.py a été rejoué dans le dernier environnement de test.

15:30:26.232469, TM_LFR_SCIENCE_SBM1_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=0, (PACKET _SEQUENCE_CONTROL=0xc000), PACKET LENGTH=263, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x800000136c5¢, PA_LFR_SID_PKT: SC_S1_BP1_F0 = 28, PA_BIA_MODE_MUX_SET: SET 0 =0,

PA_BIA MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2 _ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x800000136c5c,

PA_LFR S1 BP1 BLK _NR_F0=22

et
15:30:27.007267, TM_LFR_SCIENCE_SBM1_BP2_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,

DATA FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_5 = 79, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xcfc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=12, (PACKET SEQUENCE_CONTROL=0xc00c), PACKET LENGTH=681, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x800000142c5¢, PA_LFR_SID_PKT: SC_S1_BP2_F0 = 31, PA_BIA_MODE_MUX_SET: SET 0 =0,

PA BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x800000142c5c,

PA_LFR _S1 BP2 BLK NR F0=22

les fichiers de log (2015_06_05-15_36_26%) sont rangés dans le répertoire /home/validation/data/R3

Contexte de test

FSW 3.0.0.3

VHDL 1.1.83

EM1 sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee spacewire
